package eu.eudat.authorization;


import org.springframework.boot.context.properties.ConfigurationProperties;

import java.util.HashSet;
import java.util.List;

@ConfigurationProperties(prefix = "authorization")
public class AuthorizationProperties {

	private String globalAdminRole;

	public String getGlobalAdminRole() {
		return globalAdminRole;
	}

	public void setGlobalAdminRole(String globalAdminRole) {
		this.globalAdminRole = globalAdminRole;
	}
	private Boolean autoAssignGlobalAdminToNewTenants;

	public Boolean getAutoAssignGlobalAdminToNewTenants() {
		return autoAssignGlobalAdminToNewTenants;
	}

	public void setAutoAssignGlobalAdminToNewTenants(Boolean autoAssignGlobalAdminToNewTenants) {
		this.autoAssignGlobalAdminToNewTenants = autoAssignGlobalAdminToNewTenants;
	}

	private List<String> allowedTenantRoles;

	public List<String> getAllowedTenantRoles() {
		return allowedTenantRoles;
	}

	public void setAllowedTenantRoles(List<String> allowedTenantRoles) {
		this.allowedTenantRoles = allowedTenantRoles;
	}

	private List<String> allowedGlobalRoles;

	public List<String> getAllowedGlobalRoles() {
		return allowedGlobalRoles;
	}

	public void setAllowedGlobalRoles(List<String> allowedGlobalRoles) {
		this.allowedGlobalRoles = allowedGlobalRoles;
	}
}
