package eu.eudat.service.keycloak;

import org.jetbrains.annotations.NotNull;
import org.keycloak.representations.idm.GroupRepresentation;

import java.util.HashMap;
import java.util.UUID;

public interface KeycloakService {

    void addUserToGroup(@NotNull String subjectId, String groupId);

    void removeUserFromGroup(@NotNull String subjectId, String groupId);

    void addUserToGlobalRoleGroup(String subjectId, String role);
    void removeUserGlobalRoleGroup(@NotNull String subjectId, String role);

    void addUserToTenantRoleGroup(String subjectId, String tenantCode, String tenantRole);

    void removeUserTenantRoleGroup(String subjectId, String tenantCode, String tenantRole);

	void createTenantGroups(String tenantCode);
}
